<html>
<!--
  websearch.jsp
  Written by Thomas Rowland
  SW409 Midterm Project 11/1/00
  Provides UI for search criteria entry from user and submits to server.
-->

<jsp:useBean id="search" class="sendmail.WebSearch" scope="page"/>
<jsp:setProperty name="search" property="*" />

	<%
		search.processRequest(request);
	%>
<head><title>Multiple Web Search Project</title>
<h2><font color=blue>Multiple Web Search</font></h2>
</head>

<body bgcolor="white">
<font size=4>
	
	
	<!-------------------------------------------------------------------------------------
	Submit the search criteria and email address the user has input.
	If the website urls cannot be resolved, display the error,
	else display new search input form.
	-------------------------------------------------------------------------------------->

	<%
	String errMsg = search.getError ();

	if (errMsg != null) {
	%>
		<form>
			There was an error !<br>
			<%= errMsg %>
		</form>
	<% 
	} else if (search.success()) {

	%>
		<font color=red>Thank you.<br> 
		Your search results for "
		<font color=blue><%= search.getSearchString ()%></font> 
		" will be emailed to you shortly.<br>
		</font>
		
		<form method=POST action=websearch.jsp>
			Search again...<br>
			Please enter your search criteria and email address.<br> 
			Results will be emailed to you.<br><br>
			<table>
				<tr>
				<td>Search Criteria</td> 
				<td><input type='text' name='txtSearch'></td>
				</tr>
				<tr>
				<td>Email Address</td> 
				<td><input type='text' name='txtEmail'></td>
				</tr>
			</table>
			<input type='submit' value='submit'>
		</form>
		
	<%
	} else {
	%>
		<form method=POST action=websearch.jsp>
			Please enter your search criteria and email address.<br> 
			Results will be emailed to you.<br><br>
			<table>
				<tr>
				<td>Search Criteria</td> 
				<td><input type='text' name='txtSearch'></td>
				</tr>
				<tr>
				<td>Email Address</td> 
				<td><input type='text' name='txtEmail'></td>
				</tr>
			
				<tr>
				</tr>
				<tr>
				</tr>
			</table>
			<br>

			<input type='submit' value='submit'>
		</form>
	<%
	}
	%>
	

	
</font>

</body>
</html>
