/*
 * $Id: InventoryHome.java,v 1.3 2000/09/20 05:15:21 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.inventory.ejb;


import java.rmi.RemoteException;

import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.DuplicateKeyException;
import javax.ejb.EJBHome;

/**
 * The home interface of the Inventory Entity EJB.
 */

public interface InventoryHome extends EJBHome {

    public Inventory findByPrimaryKey (String itemId)
        throws RemoteException, FinderException;
}
