/*
 * $Id: AdminClientController.java,v 1.2 2000/10/05 03:28:54 vijaysr Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstoreadmin.control.ejb;

import java.util.Collection;
import java.util.ArrayList;
import java.rmi.RemoteException;

import javax.ejb.EJBObject;
import javax.ejb.FinderException;

/**
 * This is the EJB-tier controller of the MVC for the admin functionality.
 * It is implemented as a session EJB. It controls all the activities
 * that happen in a client session.
 * It also provides mechanisms to access other session EJBs.
 */
public interface AdminClientController extends EJBObject {

    public Collection getPendingOrders() throws RemoteException;
    public void setOrdersStatus(ArrayList ordersList) throws RemoteException;
}
