<%--
 % $Id: manageorders.jsp,v 1.4 2000/10/06 18:50:35 vijaysr Exp $
 % Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 % Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
--%>

<%--
 % Page that enables an order manager to move "pending" orders to
 % either "approved" or "denied" based on credit card verification
--%>

<%@ page import="java.util.Collection" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="com.sun.j2ee.blueprints.petstore.util.JSPUtil" %>
<%@ page import="com.sun.j2ee.blueprints.customer.order.model.OrderModel" %>

<html>
   <head>
      <title>Manage Orders</title>
   </head>
   <body bgcolor="white" text="#000000" link="#0000EE" vlink="#551A8B" alink="#FF0000">
      <h1>Customer Order Management</h1>
      <h3>Verify customer credit card information and if valid, then
      submit the Pending ("P") order(s) to either Approved("A") or
          Denied ("D").</h3>
   <hr width="100%">

<jsp:useBean
    id="manageorders"
    class="com.sun.j2ee.blueprints.petstoreadmin.control.web.ManageOrdersBean"
    scope="session"
/>

<%
  String callerId = request.getUserPrincipal().getName();
  if(callerId.equals("admin")) {
%>

    <form action="AdminRequestProcessor" method="post">
    <input type="hidden" name="currentScreen" value="updateorders">
    <input type="hidden" name="action" value="updateOrders">
<%
    Collection pendingOrderIds = manageorders.getPendingOrders();
    if (pendingOrderIds != null) {
%>

   <table border="0" bgcolor="#336666">
       <tr background="../images/bkg-topbar.gif">
    <th><font color="white" size="3">Order Id</font></th>
    <th><font color="white" size="3">User Id</font></th>
    <th><font color="white" size="3">Credit Card Number</font></th>
    <th><font color="white" size="3">Expires MM/YYYY</font></th>
    <th><font color="white" size="3">Order Total</font></th>
    <th><font color="white" size="3">Order Status</font></th>
    <th><font color="white" size="3">Update</font></th>

<%
    Iterator it = pendingOrderIds.iterator();
    while ((it != null) && it.hasNext()) {
      OrderModel anOrder = (OrderModel)it.next();
   // For each pending order, create a table row
%>

   <tr bgcolor="#eeebcc">
      <td><%= anOrder.getOrderId() %></td>
      <td><%= anOrder.getUserId() %></td>
      <td><%= anOrder.getCreditCard().getCardNo() %></td>
      <td><%= anOrder.getCreditCard().getExpiryMonthString() %>
          <%= anOrder.getCreditCard().getExpiryYearString() %>
      </td>
      <td align="right"><%= JSPUtil.formatCurrency(anOrder.getTotalPrice()) %></td>
      <td align="center">
          <select name="<%= "status_"+ anOrder.getOrderId() %>" >
             <option value="pending" selected><%= anOrder.getStatus() %></option>
             <option value="denied">D</option>
             <option value="approved">A</option>
          </select>
      </td>
      <td align="center"><input type=checkbox name="<%= "order_"+ anOrder.getOrderId() %>"  value="false">
      </td>
   </tr>

  <% } %>

  </table>
  <p></p>
  <input type="image" border="0" src="images/button_submit.gif" name="button">
  </form>

<%   } else { %>

  <font size="5" color="green">
    There are no "Pending" orders at this time - thank you
  </font>

<%   }
   } else {
%>
    <font size="5" color="green">
    You are not authorised to update the status of orders.
  </font>
<%
   }
%>

   </body>
</html>
