/*
 * $Id: CatalogEJB.java,v 1.8 2000/09/30 19:51:06 vijaysr Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.shoppingcart.catalog.ejb;

import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

import java.util.Locale;

import com.sun.j2ee.blueprints.shoppingcart.catalog.model.CatalogModel;

/**
 * Session Bean implementation of Catalog
 * The business methods are in the CatalogModel class.
 *
 * @see    CatalogModel
 */
public class CatalogEJB extends CatalogModel implements SessionBean {

    public void ejbCreate() {
        super.init(); //instantiate CatalogDAO; required when EJB is created
    }

    public void setSessionContext(SessionContext sc) {}

    public void ejbRemove() {}

    public void ejbActivate() {
        super.init(); //instantiate CatalogDAO
    }

    public void ejbPassivate() {
        super.destroy(); //set CatalogDAO to null
    }
}
