/*
 * $Id: Parameter.java,v 1.3 2000/09/20 05:36:12 gmurray Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.control.web;

import java.util.HashMap;

public class Parameter {

    private String key;
    private String value;
    private boolean direct;

    public Parameter(String key, String value, boolean direct) {
        this.key = key;
        this.value = value;
        this.direct = direct;
    }

    public boolean isDirect() {
        return direct;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    public String toString() {
        return "[Parameter: key=" + key + ", value=" + value + ", direct="+ direct + "]";
    }
}

